Bug 595386 - NETWORKWAIT not documented
Summary: NETWORKWAIT not documented
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 12
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-24 14:02 UTC by Karl-Olov Serrander
Modified: 2014-03-17 03:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 16:17:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karl-Olov Serrander 2010-05-24 14:02:56 UTC
Description of problem: Network (controlled by NetworkManager) is not up when first attempt to mount nfsshares is done. Settings NETWORKWAIT=yes in /etc/sysconfig/network solves the problem.

Use of NETWORKWAIT in /etc/sysconfig/network (used by
/etc/init.d/NetworkManager) is not documented in /usr/share/doc/initscripts-9.02.2/sysconfig.txt

Version-Release number of selected component (if applicable):
9.02.2-1

How reproducible: Everytime


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jiri Popelka 2010-07-01 15:08:25 UTC
+1 here

I'm just looking for answer why dhcpd service does not start at boot if NetworkManager is enabled (bug #565921) and found several bugs where you (Bill) or Dan Williams advise to set NETWORKWAIT in /etc/sysconfig/network.

Like in:
- bug #441658
- bug #443409
- bug #447036
- bug #447442
- http://blogs.gnome.org/dcbw/2010/04/07/networkmanager-on-server-type-machines-or-why-our-initscripts-suck/

So why is it not documented in sysconfig.txt ?

I know NETWORKWAIT is used only by NM and not by initscripts,
but where else should it be documented than in sysconfig.txt ?

I suggest something like:
    NETWORKWAIT=yes|no
     Set to 'yes' to cause NetworManager's initscript to block
     for 30 seconds or until a network connection is fully brought up.
     This is useful in scenarios where some service refuses to start
     during boot if there isn’t network fully up.

Comment 2 Bill Nottingham 2010-07-01 16:17:21 UTC
http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=b3f6e39adc4627af2f781cff87f961246fbe6ac0

Will be in rawhide and likely some future F13 update.


Note You need to log in before you can comment on or make changes to this bug.